<div *ngIf="bookData.availableBooks<3 && bookData.availableBooks!==0">
        <div class="alert alert-danger">
            <strong>Hurry! {{bookData.bookName}}<br/> is getting out of stock</strong>
        </div>
 </div>
<mat-card class="book-card">
    <mat-card-content class="card-content flex-column-flex">
        <div class="main-details flex">
            <div class="img-section">
                <img defaultBookImage src="{{bookData.bookImage}}" alt="book image">
            </div>
            <div class="book-details">
                <div class="book-details-title">{{bookData.bookName}}</div>
                <div class="book-quantity"> 
                    <div *ngIf="bookData.availableBooks!==0">
                        <span class="w3-badge">{{bookData.availableBooks}}</span>
                    </div>
                </div>
                <div class="book-details-author">Author: {{bookData.author}}</div>
                <div class="available-book">No.of issued books: {{bookData.issuedBooks}}</div>
                <div class="total-book">Total books: {{bookData.totalBooks}}</div>
            </div>
                <div class="issue-book">
                    <button type="button" mat-raised-button color="accent" (click)="issueBook()" class="issue-btn" [disabled]="bookData.availableBooks===0">Issue</button>
                    <div *ngIf="bookData.availableBooks===0">
                        <mat-chip>Sold Out</mat-chip>
                    </div>
                </div>
                <div class="return-book">
                    <button type="button" mat-raised-button color="accent" (click)="returnBook()" class="return-btn"[disabled]="bookData.issuedBooks===0">Return</button>
                </div>
        </div>
    <div *ngIf="isAdmin=='admin'">
       <div class="action-buttons flex-row layout-align-space-between-center">
            <button mat-icon-button>
                <mat-icon (click)="editData()">edit</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon (click)="deleteData()">delete</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon (click)="viewUsers()">visibility</mat-icon>
            </button>
        </div> 
    </div>
    </mat-card-content>
</mat-card>
